#pragma once

#include <QWidget>

#include <RobotAPI/libraries/skills/core/SkillDescription.h>

class QLabel;
class QTextEdit;

namespace armarx
{

    class SkillDescriptionWidget : public QWidget
    {
    public:
        SkillDescriptionWidget(QWidget* parent = nullptr);

        void setSkillDescription(const skills::SkillDescription& desc);

    private:
        QLabel* name = nullptr;
        QTextEdit* description = nullptr;
        QLabel* timeout = nullptr;
    };


} // namespace armarx
