#pragma once

#include "PeriodicSkill.h"
#include "SimpleSkill.h"

namespace armarx
{
    namespace skills
    {
        class SimplePeriodicSkill : public SimpleSkill
        {
        public:
            using Base = SimpleSkill;

            using Base::Base;

            using StepResult = PeriodicSkill::StepResult;

            SimplePeriodicSkill(const SkillDescription& skillDescription,
                                const armarx::Frequency& frequency);

        protected:
            /// Do not use anymore
            Skill::MainResult main(const MainInput& in) final;

            /// Override this method with your own step function
            virtual StepResult step(const MainInput& in);

        protected:
            const armarx::Frequency frequency;
        };
    } // namespace skills
} // namespace armarx
